### A free/open-source library for quantitative finance

Public Member Functions
RiskyFloatingBond Class Reference

`#include <ql/experimental/credit/riskybond.hpp>`

Inheritance diagram for RiskyFloatingBond:
[legend]

List of all members.

## Public Member Functions

| RiskyFloatingBond (std::string name, Currency ccy, Real recoveryRate, Handle< DefaultProbabilityTermStructure > defaultTS, Schedule schedule, boost::shared_ptr< IborIndex > index, Integer fixingDays, Real spread, std::vector< Real > notionals, Handle< YieldTermStructure > yieldTS)
std::vector< boost::shared_ptr < CashFlow > > | cashflows () const
Real | notional (Date date=Date::minDate()) const
Date | effectiveDate () const
Date | maturityDate () const
std::vector< boost::shared_ptr < CashFlow > > | interestFlows () const
std::vector< boost::shared_ptr < CashFlow > > | notionalFlows () const

## Detailed Description

Default risky floating bonds